;=========================================================================
;
; Browser executable Application Programmer Interface (API)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     API_AdjustRowCol
;Purpose  To adjust the row/column coordinate to be within the web-page.
;In Regs  A = ??
;         B = ??
;         C = ??
;         D = Start Column (relative to frame from zero)
;         E = Start Row (relative to frame from zero)
;         H = ??
;         L = ??
;         IX = ??
;         IY = ??
;In Vars  Window_FSRow = CPC Start column of window
;         Window_FSCol = CPC Start row of window
;         API_Offset = offset from top row of screen.
;Out Regs AF = ??
;         BC = ??
;         D = Column (updated)
;         E = Row (updated)
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    None
;Notes    TBD
;=========================================================================
API_AdjustRowCol
   PUSH  AF
   LD    A,(API_Offset)		;Offset to window frame on screen
   ADD   A,E
   LD    E,A
   LD    A,(Window_FSRow)
   ADD   A,E
   LD    E,A
   LD    A,(Window_FSCol)
   ADD   A,D
   LD    D,A
   POP   AF
   RET
