;=========================================================================
;
; Browser executable Application Programmer Interface (API)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     API_PrintStr
;Purpose  To display a character string on the screen.
;In Regs  A = ??
;         B = ??
;         C = ??
;         D = Start Column
;         E = Start Row
;         HL = Address of text to show (NULL terminated)
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs AF = ??
;         B = ??
;         C = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    API_AdjustRowCol
;         WIN_PrintStr (via CPCB_CPCAccess)
;Notes    TBD
;=========================================================================
API_PrintStr
   CALL  API_AdjustRowCol
   CALL  CPCB_CPCAccess
   DEFB  CPCB_C_PrintStr
   RET
