;=========================================================================
;Name     FIO_OUT_CLOSE
;Purpose  A wrapper for CAS_OUT_CLOSE to disable print across I/O call.
;In Regs  A = Current state of File operations
;         B = ??
;         C = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  N/A
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = statue/error code of file operation.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
FIO_OUT_CLOSE
   PUSH  HL
   LD    HL,FileOpState
   LD    (HL),A
   CALL  CAS_OUT_CLOSE
   POP   HL
   RET