;=========================================================================
;Name     FIO_WriteStr
;Purpose  A routine to write n byte string to a file.
;In Regs  A = ??
;         B = Number of bytes to write
;         C = ??
;         DE = ??
;         HL = address of data
;         IX = ??
;         IY = ??
;In Vars  N/A
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = statue/error code of file operation.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    1. If the string to write is zero length then the routine exits
;            and that means that the maximum string length is 255.
;=========================================================================
FIO_WriteStr
   LD    HL,KB_Buffer
;=========================================================================
;Name     FIO_WriteBytes
;Purpose  A routine to write n bytes to a file.
;In Regs  A = ??
;         B = Number of bytes to write
;         C = ??
;         DE = ??
;         HL = address of data
;         IX = ??
;         IY = ??
;In Vars  N/A
;Out Regs AF = 0 if write ok ELSE FERR_WRITE
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = statue/error code of file operation.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    1. If the string to write is zero length then the routine exits
;            and that means that the maximum string length is 255.
;=========================================================================
FIO_WriteBytes
   LD    A,(HL)
   OR    A
   RET   Z
   PUSH  HL
   PUSH  BC
   CALL  CAS_OUT_CHAR
   LD    A,FERR_WRITE
   POP   BC
   POP   HL
   RET   NC
   INC   HL
   JR    FIO_WriteBytes
   XOR   A
   RET