;=====================================================================
;
; Grpahics utility library (grph_readchar)
; Copyright (c) 2010 Ray Palmer
;
; Requires
; 1. Kernel.h
;
;=====================================================================
;Name     grph_readchar
;Purpose  To read a character at an x/y text location.
;Input    L = Y coordinate
;         H = X coordinate
;Output   A = character number (0=unknown char)
;Uses     All register corrupted
;Notes    None
;=====================================================================
grph_readchar
   CALL  TXT_SET_CURSOR
   CALL  TXT_GET_CHAR
   RET   C				;character found
   XOR   A
   RET