;=====================================================================
;
; Grpahics utility library (grph_txt_dblchar)
; Copyright (c) 2010 Ray Palmer
;
; Requires
; 1. kernel.h
;
;=====================================================================
;Name     grph_txt_dblchar
;Purpose  To print a character using OS calls with double the height.
;Input    IX = address of char
;Output   string output
;Uses     All register corrupted
;Notes    None
;=====================================================================
grph_txt_dblchar
   CALL  KL_ROM_STATUS
   PUSH  AF
   LD    A,(IX+0)
   CALL  TXT_GET_CHRPAT			;HL = address of pattern data
   LD    B,8
   LD    IX,grph_patternarray
txt_dblchar1
   LD    A,(HL)
   LD    (IX+0),A
   INC   IX
   LD    (IX+1),A
   INC   IX
   INC   HL
   DJNZ  txt_dblchar1
   POP   AF
   CALL  KL_ROM_RESTORE
   LD    A,254				;Setup where char 254 data is
   LD    HL,grph_patternarray
   CALL  TXT_SET_CHRPAT
   LD    A,255				;Setup where char 255 data is
   LD    HL,grph_patternarray+8
   CALL  TXT_SET_CHRPAT
   LD    A,254
   CALL  TXT_OUTPUT
   LD    A,LF
   CALL  TXT_OUTPUT
   LD    A,BS
   CALL  TXT_OUTPUT
   LD    A,255
   CALL  TXT_OUTPUT
   RET
