;=========================================================================
;
; Standard print Routine ()
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     printstringimm2
;Purpose  Print NUL-terminated string via an address which follow the
;         call to this routine.
;Input    TOS = address of indirect address of text
;Output   TBD
;Uses     TBD
;Notes    1. Call Format
;
;              CALL printstringimm2
;              DEFW AddressOfStringToPrint
;
;=========================================================================
printstringimm2
   POP   HL
   LD    A,(HL)
   INC   HL
   INC   HL
   PUSH  HL			;Restore return address
   DEC   HL
   LD    L,(HL)
   LD    H,A
   call  printstring
   ret