;=====================================================================
;
; Standard string conversion routines (isdigit)
; Copyright (c) 2010 Ray Palmer
;
;=====================================================================
;Name     UTL_isdigit
;Purpose  Carry = !isdigit (A)
;Input    A = character to check.
;Output   Carry flag set if A is not between 0 and 9 (inclusively)
;Uses     Flags corrupted.
;Notes    None.
;=====================================================================
UTL_isdigit
   cp    '0'		;Is A < '0'
   ret   c		;Yes
   cp    '9'+1		;Is A > '9'
   ccf			;set C flag if A > '9'
   ret

