;=========================================================================
;
; Standard Application Routines
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     UTL_skiptospace
;Purpose  To skip non-space until a space character is found.
;In Regs  A = ??
;         BC = ??
;         DE = ??
;         HL = address of string
;         IX = ???
;         IY = ??
;In Vars  N/A
;Out Regs A = ??
;         BC = ??
;         DE = ??
;         HL = address of first space char
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
UTL_skiptospace
   push  af
UTL_skiptospace_loop
   LD    A,(HL)
   OR    A				;NULL ?
   JR    Z,UTL_skiptospace_exit		;Yes
   cp    ' '				;Space?
   jr    z,UTL_skiptospace_exit		;Yes
   inc   hl
   jr    UTL_skiptospace_loop
UTL_skiptospace_exit
   pop  af
   ret

