;=========================================================================
;
; Standard Application Routines
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     UTL_skipspace
;Purpose  To skip spaces until a non-spsace character is found.
;In Regs  A = ??
;         BC = ??
;         DE = ??
;         HL = address of string
;         IX = ???
;         IY = ??
;In Vars  N/A
;Out Regs A = ??
;         BC = ??
;         DE = ??
;         HL = address of first non-space char
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
UTL_skipspace
   push  af
UTL_skipspace_loop
   LD    A,(HL)
   OR    A			;NULL ?
   JR    Z,UTL_skipspace_exit	;Yes
   cp    ' '			;Space?
   jr    nz,UTL_skipspace_exit	;No
   inc   hl
   jr    UTL_skipspace_loop
UTL_skipspace_exit
   pop   af
   ret
