;=========================================================================
;
; Standard Application Routines (strccpy)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     UTL_strccpy
;Purpose  To copy characters until a specific character is encountered
;In Regs  A = ??
;         B = Max length of text to copy
;         C = character to stop at
;         DE = destination location for data
;         HL = address of source text
;         IX = ???
;         IY = ??
;In Vars  None.
;Out Regs AF = corrupted.
;         B = ??
;         C = Unchanged.
;         DE = corrupted.
;         HL = corrupted.
;         IX = ??
;         IY = ??
;Out Vars None.
;Uses     TBD
;Call By  TBD
;Calls    None.
;Notes    None.
;=========================================================================
UTL_strccpy
   LD   A,(HL)
   LD   (DE),A
   CP   C
   RET  Z
   INC  HL
   INC  DE
   DJNZ UTL_strccpy
   RET

