;=========================================================================
;
; Standard Application Routines
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     UTL_strncmp
;Purpose  To compare two strings of n characters
;In Regs  A = ??
;         B = number of characters
;         DE = address of string 1
;         HL = address of string 2
;         IX = ???
;         IY = ??
;In Vars  N/A
;Out Regs A = ??
;         B = 0 if both n characters the same. 
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
UTL_strncmp
   LD    A,(DE)
   CP    (HL)
   RET   NZ
   INC   HL
   INC   DE
   DJNZ  UTL_strncmp
   RET

