;=====================================================================
;
; keyboard Codes to the CPC hardware
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;
;  The values define the actual keyboard code which maps an actual key
;  to check.
;
;  The values are sourced from the 6128 User Manual.
;
;=========================================================================
KEY_ESC		EQU	66
KEY_1		EQU	64
KEY_2		EQU	65
KEY_3		EQU	57
KEY_4		EQU	56
KEY_5		EQU	49
KEY_6		EQU	48
KEY_7		EQU	41
KEY_8		EQU	40
KEY_9		EQU	33
KEY_0		EQU	32
KEY_DASH	EQU	25
KEY_POUND	EQU	24
KEY_CLR		EQU	16
KEY_DEL		EQU	79
;
KEY_TAB		EQU	68
KEY_Q		EQU	67
KEY_W		EQU	59
KEY_E		EQU	58
KEY_R		EQU	50
KEY_T		EQU	51
KEY_Y		EQU	43
KEY_U		EQU	42
KEY_I		EQU	35
KEY_O		EQU	34
KEY_P		EQU	27
KEY_AT		EQU	26
KEY_LSB		EQU	17
KEY_RETURN	EQU	18
;
KEY_CAPSLK	EQU	70
KEY_A		EQU	69
KEY_S		EQU	60
KEY_D		EQU	61
KEY_F		EQU	53
KEY_G		EQU	52
KEY_H		EQU	44
KEY_J		EQU	45
KEY_K		EQU	37
KEY_L		EQU	36
KEY_COLON	EQU	29
KEY_SCOLON	EQU	28
KEY_RSB		EQU	19
;
KET_LSHFT	EQU	21
KEY_Z		EQU	71
KEY_X		EQU	63
KEY_C		EQU	62
KEY_V		EQU	55
KEY_B		EQU	54
KEY_N		EQU	46
KEY_M		EQU	38
KEY_COMMA	EQU	39
KEY_FSTOP	EQU	31
KEY_FSLSH	EQU	30
KEY_BSLSH	EQU	22
KEY_RSHFT	EQU	21
;
KEY_CTRL	EQU	23
KEY_COPY	EQU	9
KEY_SPACE	EQU	47
KEY_ENTER	EQU	6
;
KEY_F7		EQU	10
KEY_F8		EQU	11
KEY_F9		EQU	3
KEY_F4		EQU	20
KEY_F5		EQU	12
KEY_F6		EQU	4
KEY_F1		EQU	13
KEY_F2		EQU	14
KEY_F3		EQU	5
KEY_F0		EQU	15
KEY_CU		EQU	0
KEY_KPDOT	EQU	7
KEY_CL		EQU	8
KEY_CD		EQU	2
KEY_CR		EQU	1
;
KEY_JU		EQU	72
KEY_JL		EQU	74
KEY_JD		EQU	73
KEY_JR		EQU	75
KEY_JF1		EQU	76
KEY_JF2		EQU	77
;