;===============================================================================
;
; Browser application Data (Script)
; Copyright (c) 2010 Ray Palmer
;
;===============================================================================
;
;  Parser Script Command Set
;
;===============================================================================
ScriptCommands
		defb	"bank"			;bank command
		defb	&80			;command info
		defw	SCR_Bank
		defb	0			;Main memory
;
Script_Url
		defb	"url"			;url location command
		defb	&80			;command info
		defw	SCR_URL
		defb	0			;Main memory
;
Script_Link
		defb	"link"			;link add command
		defb	&80			;command info
		defw	SCR_Link
		defb	0			;Main memory
;
Script_App
		defb	"app"			;application name/filename cmd
		defb	&80			;command info
		defw	SCR_App
		defb	0			;Main memory
;
Script_Cursor
		defb	"cursor"		;cursor assign command
		defb	&80			;command info
		defw	SCR_Cursor
		defb	0			;Main memory
;
		defb	"load"			;load file command
		defb	&80			;command info
		defw	SCR_Loadfile
		defb	0			;Main memory
;
		defb	"subscr"		;load Sub-script file command
		defb	&80			;command info
		defw	SCR_subscr
		defb	0			;Main memory
;
		defb	"font"			;font add command
		defb	&80			;command info
		defw	SCR_Font
		defb	0			;Main memory
;
Script_Fileloc
		defb	"fileloc"		;file location command
		defb	&80			;command info
		defw	SCR_FileLoc
		defb	0			;Main memory
;
		defb	"logctrl"		;Log control flags
		defb	&80			;command info
		defw	SCR_LogCtrl
		defb	0			;Main memory

		defb	"quit"			;quit scripts command
		defb	&80			;command info
		defw	SCR_quit
		defb	0			;Main memory
;
		defb	"msg"			;msg command
		defb	&80			;command info
		defw	SCR_msg
		defb	0			;Main memory
;
		defb	"echo"			;echo command
		defb	&80			;command info
		defw	SCR_echo
		defb	0			;Main memory
;
		defb	"ivar"			;internal variable command
		defb	&80			;command info
		defw	SCR_ivar
		defb	0			;Main memory
;
		defb	0			;end of script commands
