;=========================================================================
;Name     FIO_SaveApps
;Purpose  To save the list of applications/handlers.
;In Regs  AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = status of file handling.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
   LD    HL,Filename2Save
   CALL  UTL_strlen
   LD    B,A
   LD    DE,AMSDOS_BUFFER
   CALL  FIO_OUT_OPEN
   JR    NC,SveAppsEx
;
   LD    HL,FileOpState
   CALL  VIY_CalcAddr
   XOR   A
   LD    (HL),A
SveApps1
   LD    (Item_Index),A
;
   CALL  BuildScrptCmd		;build script command
;
   LD    A,(SysGenBuffer)
   OR    A			;end of all apps?
   JR    Z,SveAppsEx		;yes
;
   BIT   1,A			;App deleted?
   JR    Z,SveApps2		;Yes
   CALL  FIO_WriteStr		;write script command
   LD    A,(FileOpState)
   CP    FERR_OKAY
   JR    NZ,SveAppsEx
;
SveApps2
   LD    A,(Item_Index)
   INC   A
   JR    SveApps1
;
SveAppsEx
   CALL  FIO_OUT_CLOSE
;