;=========================================================================
;Name     BuildScriptCmd
;Purpose  To create the script command
;In Regs  AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  Item_Index = 0 (home page)
;                      1 (startup page)
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars KB_Buffer has command
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
BuildScriptCmd
   LD    HL,KB_Buffer
   CALL  VIY_CalcAddr
   EX    DE,HL
   LD    HL,Script_Cmd
   PUSH  HL
   CALL  UTL_strlen
   POP   HL
   LD    B,0
   LD    C,A
   LDIR					;insert script command
;
   INC   DE
   LD    HL,CFG_HomePage
   LD    B,"h"
   LD    A,(Item_Index)
   OR    A
   JR    NZ,BuildScriptCmd1
   LD    HL,CFG_StartUp
   LD    B,"s"
BuildScriptCmd1
   LD    A,B
   INC   DE
   LD    (DE),A
   LD    A,','
   LD    (DE),A
   INC   DE
   LD    B,URL_Size
   CALL  UTL_strncpy			;insert home/start up data
;
   LD    A,13
   LD    (DE),A				;insert carriage return
   INC   DE
   LD    A,10
   LD    (DE),A				;insert linefeed
   INC   DE
   XOR   A
   LD    (DE),A				;insert terminator
   RET