;=====================================================================
;
; CPC/IP Specific Variables Handler
; Copyright (c) 2011 Ray Palmer
;
;=====================================================================
;Name     VHS_GetWrkSpace_BM
;Purpose  To get the address of the buffer management variables.
;Input    IY = Address of ROM variables
;Output   IX = Address of buffer management variables.
;Uses     None
;Notes    None
;=====================================================================
VHS_GetWrkSpace_BM
   PUSH  DE
   PUSH  IY
   POP   IX
   LD    DE,BuffMgrVars
   ADD   IX,DE
   POP   DE
   RET