;=========================================================================
;Name     FIO_OUT_OPEN
;Purpose  A wrapper for CAS_OUT_OPEN to disable print across I/O call.
;In Regs  A = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  N/A
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
FIO_OUT_OPEN
   PUSH  AF
   LD    A,(TXT_OUTPUT)
   LD    (FIO_OUT_OPEN1),A	;save OS call
   LD    A,&C9
   LD    (TXT_OUTPUT),A		;force it to RETURN
   POP   AF
   CALL  CAS_OUT_OPEN
   PUSH  AF
   DEFB  &3E
FIO_OUT_OPEN1
   DEFB  0
   LD    (TXT_OUTPUT),A		;restore OS call
   POP   AF
   RET