;=========================================================================
;
; Application Routines (MultipyABy10)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     UTL_MulABy10
;Purpose  To Multiply register A by 10.
;In Regs  A = speed in 1/10th scaling.
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ???
;         IY = ??
;In Vars  N/A
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = Register A scaled up by 10
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
UTL_MulABy10
   LD    L,A
   LD    H,0
   LD    C,L
   LD    B,H
   ADD   HL,HL
   ADD   HL,HL
   ADD   HL,BC
   ADD   HL,HL
   RET

