;=====================================================================
;
; Standard string conversion routines (hex2char)
; Copyright (c) 2010 Ray Palmer
;
;=====================================================================
;Name     UTL_Hex2Char
;Purpose  To convert a value 0-15 to a hexadecimal character
;Input    A = value to insert
;Output   A = hexadecimal character
;Uses     AF corrupted.
;Notes    None
;=====================================================================
UTL_Hex2Char
   AND   &0f
   cp   10			;Is A > 10
   jr   c,Hex2Char1		;No
   add  a,'a' - '0' - 10	;Yes, adjust for Hex char
Hex2Char1
   add  a,'0'			;offset to numbers
   RET
