;=====================================================================
;
; CPC Operating System specific locations.
; Copyright (c) 2010 Ray Palmer
;
;=====================================================================
;
;	AMSDOS Specific Locations
;
;=====================================================================
AMSDOS_DR	EQU  &a700
AMSDOS_USER	EQU  &a701
;
FILE_BASIC	EQU  &00		;OS return of file type
FILE_BINARY	EQU  &02		;OS return of file type
FILE_ASCII	EQU  &16		;OS return of file type
;
FILE_HTML	EQU  0
FILE_TEXT	EQU  1
FILE_SCRPT	EQU  2
FILE_EXE	EQU  4
FILE_BIN	EQU  5
FILE_UNK	EQU  128
;
FERR_OKAY	EQU  0
FERR_NOTFOUND	EQU  1
FERR_BADTYPE	EQU  2
FERR_READ	EQU  3
FERR_WRITE	EQU  4
FERR_ACCESS	EQU  5
FERR_UNKNOWN	EQU  255
;
MAXFILENAME	EQU  13
;=====================================================================
;
;  System Specific Addresses
;
;=====================================================================
BASIC_START	EQU	&170		;Start of BASIC/CPCB
;
MEMORY_SWAP_ST	EQU	&4000		;Start of Swap Space
MEMORY_SWAP_EN	EQU	&7FFF		;End of Swap Space
MEMORY_BANK2	EQU	&8000		;Start of Bank 3
MEMORY_ROM_ST	EQU	&c000		;Start of Bank3/ROM
MEMORY_TOP	EQU	&FFFF		;Max Z80 address