;=========================================================================
;
; Addresses of browser external routines
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
Ext_BaseAddress		EQU	&4000
;=========================================================================
;
;  Routines contained in file1.bin
;
;  Contains Routines for
;
;  - HTTP access using Communications device
;  - Local file access using existing devices or HDOS.
;
;=========================================================================
Ext_OpenHTTP		EQU	Ext_BaseAddress
Ext_OpenMediaDevice	EQU	Ext_BaseAddress+3
Ext_OpenMediaPath	EQU	Ext_BaseAddress+6
Ext_BuildURL		EQU	Ext_BaseAddress+9
Ext_CatalogDevice	EQU	Ext_BaseAddress+12
Ext_GetCatalogItem	EQU	Ext_BaseAddress+15
Ext_Add2URL		EQU	Ext_BaseAddress+18
Ext_SendURL		EQU	Ext_BaseAddress+21
;=========================================================================
;
;  Routines contained in file2.bin
;
;  Contains routines for
;
;  - MENU functions
;  - Font and Icon Routines/Functions
;
;=========================================================================
Ext_MNU_Start		EQU	Ext_BaseAddress		;(0)
Ext_UploadFont		EQU	Ext_BaseAddress+3	;(1)
Ext_UploadIcon		EQU	Ext_BaseAddress+6	;(2)
Ext_SelectFontByName	EQU	Ext_BaseAddress+9	;(3)
Ext_InitHandler		EQU	Ext_BaseAddress+12	;(4)
Ext_NewEffect		EQU	Ext_BaseAddress+15	;(5)
Ext_SelectFontByIndex	EQU	Ext_BaseAddress+18	;(6)
Ext_ShowCursor		EQU	Ext_BaseAddress+21	;(7)
Ext_RemoveCursor	EQU	Ext_BaseAddress+24	;(8)
Ext_SetCursorIcon	EQU	Ext_BaseAddress+27	;(9)
Ext_ShowFontChar	EQU	Ext_BaseAddress+30	;(10)
Ext_ShowIconChar	EQU	Ext_BaseAddress+33	;(11)
Ext_DisplayFrame	EQU	Ext_BaseAddress+36	;(12)
Ext_DisplayBorder	EQU	Ext_BaseAddress+39	;(13)
EXT_setupIcnData	EQU	Ext_BaseAddress+42	;(14)
EXT_ResetCursor		EQU	Ext_BaseAddress+45	;(15)
EXT_SetFrameIcnSet	EQu	Ext_BaseAddress+48	;(16)
EXT_SetBrdrIcnSet	EQU	Ext_BaseAddress+51	;(17)
EXT_ShowChrPattn	EQU	Ext_BaseAddress+54	;(18)
EXT_ShowImgPattn	EQU	Ext_BaseAddress+57	;(19)
;