;=========================================================================
;
; Application Routines (UTL)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     HTM_ImgCalcDBRst
;Purpose  To reset the images DB.
;In Regs  A = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs A = corrupted
;         BC = corrupted
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars TBD
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
HTM_ImgCalcDBRst
   CALL  MEM_SwapInCFG			;Swap in Config bank
   LD    HL,CFG_ImagesDB
   LD    (HL),0
   JP    Mem_SwapInMain
;=========================================================================
;Name     IMG_PicHandler
;Purpose  To handle images for the web-page.
;In Regs  A = ??
;         BC = Address of pattern data
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  IMG_Var = Object with Location of Image data to show.
;Out Regs A = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars None.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    1. Assume the image to be displayed is in binary format.
;=========================================================================
IMG_PicHandler
   LD    A,(IMG_ScrnMde)
   CALL  SYS_SaveRegs		;Save registers (AF/BC/DE/HL)
   LD    HL,EXT_ShowImgPattn
   JP    SYS_RunCode2		;execute routine in file2.bin
