;=========================================================================
;
; Application Routines (Font)
; Copyright (c) 2010 Ray Palmer
;
;=========================================================================
;Name     HTML_FontSetting
;Purpose  To apply/remove a font effect to the current font.
;In Regs  A = ??
;         B = ??
;         C = Bit to toggle.
;                    Bit  Description
;                     7 = Unused
;                     6 = Unused
;                     5 = Unused
;                     4 = unused
;                     3 = unused
;                     2 = Inverse Text
;                     1 = Strike-Through
;                     0 = Underline
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  HTML_RenderState = state of rendering HTML data
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars HTML_RenderState = new state of rendering HTML data
;Uses     TBD
;Call By  TBD
;Calls    None
;Notes    None
;=========================================================================
HTML_FontSetting
   LD    A,(HTML_FontEffects)
   XOR   C
   LD    (HTML_FontEffects),A
   RET
