;=========================================================================
;Name     BuildScriptCmd
;Purpose  To build the URL command.
;In Regs  AF = Which command to build
;              0 = HOME URL command
;              1 = Start Up command
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = status of file handling.
;         KB_Buffer = script command
;Uses     TBD
;Call By  TBD
;Calls    MEM_GetStr
;Notes    TBD
;=========================================================================
BuildScriptCmd
   LD    HL,KB_Buffer
   CALL  VIY_CalcAddr
   EX    DE,HL
   LD    HL,Script_Cmd
   LD    BC,4
   LDIR					;insert script command
   INC   DE
;
   LD    HL,CFG_HomePage
   LD    C,'h'
   OR    A
   JR    NZ,BuildScriptCmd2
   LD    HL,CFG_StartUp
   LD    C,'s'
BuildScriptCmd2
   LD    A,C
   LD    (DE),A				;insert URL type
   INC   DE
   LD    A,32
   LD    (DE),A				;insert a space
   INC   DE
   LD    B,URL_Size
   LD    A,(Item_bank)
   CALL  CPCB_CpyMem			;insert URL text
;
   LD    A,13
   LD    (DE),A				;insert carriage return
   INC   DE
   LD    A,10
   LD    (DE),A				;insert linefeed
   INC   DE
   XOR   A
   LD    (DE),A				;insert terminator
;
   RET