;=========================================================================
;Name     N/A
;Purpose  To save the script commands to media
;In Regs  AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars FileOpState = status of file handling.
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    NEED TO FIX Access to KEY defs
;=========================================================================
   LD    HL,Filename2Save
   CALL  UTL_strlen
   LD    B,A
   LD    DE,AMSDOS_BUFFER
   CALL  FIO_OUT_OPEN
   JP    NC,SaveExit
;
   LD    HL,ConfigBank
   CALL  VIY_CalcAddr
   LD    A,(HL)
   LD    (Item_Bank),A
;
   XOR   A
   LD    HL,FileOpState
   CALL  VIY_CalcAddr
   LD    (HL),A			;clear file op status
;
   LD    HL,CFG_CurKey_Up
   CALL  GetCursorValue
   LD    B,'u'
   CALL  BuildScriptCmd		;insert cursor up command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,CursorKey_Down
   CALL  GetCursorValue
   LD    B,'d'
   CALL  BuildScriptCmd		;insert cursor down command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,CursorKey_Left
   CALL  GetCursorValue
   LD    B,'l'
   CALL  BuildScriptCmd		;insert cursor left command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,CursorKey_Right
   CALL  GetCursorValue
   LD    B,'r'
   CALL  BuildScriptCmd		;insert cursor right command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,CursorKey_Select
   CALL  GetCursorValue
   LD    B,'s'
   CALL  BuildScriptCmd		;insert cursor select command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,Cursor_Speed
   CALL  GetCursorWord
   EX    DE,HL
   LD    B,'t'
   CALL  BuildScriptCmd		;insert cursor tracking command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   LD    HL,Cursor_Icon
   CALL  GetCursorWord
   LD    C,D
   LD    D,0
   EX    DE,HL
   LD    B,'i'
   CALL  BuildScriptCmd		;insert cursor icon setting command
   CALL  FIO_WriteStr
   OR    A			;write failed?
   JR    NZ,SaveExit		;Yes
;
   XOR   A
SaveExit
   CALL  FIO_OUT_CLOSE
;