;=========================================================================
;Name     BuildScriptCmd
;Purpose  To create the script command
;In Regs  AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;In Vars  TBD
;Out Regs AF = ??
;         BC = ??
;         DE = ??
;         HL = ??
;         IX = ??
;         IY = ??
;Out Vars KB_Buffer has command
;Uses     TBD
;Call By  TBD
;Calls    TBD
;Notes    TBD
;=========================================================================
BuildScriptCmd
   LD    HL,KB_Buffer
   CALL  VIY_CalcAddr
   EX    DE,HL
   LD    HL,Script_Cmd
   PUSH  HL
   CALL  UTL_strlen
   LD    C,A
   LD    B,0
   POP   HL
   LDIR					;insert script command
;
   INC   DE
   LD    HL,CFG_AppLocn
   LD    B,"a"
   LD    A,(Item_Index)
   OR    A
   JR    Z,BuildScriptCmd1
;
   LD    HL,CFG_SysLocn
   LD    B,"s"
   CP    1
   JR    Z,BuildScriptCmd1
;
   LD    HL,CFG_SaveLocn
   LD    B,"d"
   CP    2
   JR    Z,BuildScriptCmd1
;
   LD    HL,CFG_CacheLocn
   LD    B,"c"
;
BuildScriptCmd1
;
   LD    A,B
   LD    (DE),A
   INC   DE
   LD    A,','
   LD    (DE),A
   INC   DE
   LD    B,URL_Size
   LD    A,(Item_Bank)
   CALL  CPCB_CpyMem			;insert link URL
;
   LD    A,13
   LD    (DE),A				;insert carriage return
   INC   DE
   LD    A,10
   LD    (DE),A				;insert linefeed
   INC   DE
   XOR   A
   LD    (DE),A				;insert terminator
   RET